Subscriptions
Cancel Subscription
Cancels an active subscription.
Authorization
api_key api-key<token>
In: header
Path Parameters
subscriptionId*string
The subscription ID from the URL path
Query Parameters
tenantAlias*string
Merchant identifier for multi-tenant access
customer*string
Customer ID for subscription lookup
Response Body
application/json
application/json
application/json
curl -X DELETE "https://api.paynowpro.com/api/v1/subscriptions/string?tenantAlias=string&customer=string"{
"id": "string",
"tenantAlias": "string",
"paymentIntentId": "string",
"customerId": "string",
"productId": "string",
"priceId": "string",
"firstBillingDate": "string",
"nextBillingDate": "string",
"billedCount": 0.1,
"metadata": {
"property1": null,
"property2": null
},
"createdAt": "string",
"cancelledAt": "string"
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}